# The Docker image that will be used to build your app
image: alpine:3.11
# Functions that should be executed before the build script is run
before_script:
  - apk update
  - apk add doxygen
  - apk add texlive
  - apk add perl-text-bibtex
pages:
  script:
    - mkdir documentation
    - wget https://github.com/mathjax/MathJax/archive/2.7.5.zip
    - unzip 2.7.5.zip -d documentation
    - cd doxy_files
    - doxygen new_rootODdox.dox
    - cd ..
    - mv -v documentation/html/ public/
    - mv -v documentation/MathJax-2.7.5/ public/mathjax
    - cp -R Doxygen_Pics/ public/Doxygen_Pics/
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL
      - public
  rules:
    # This ensures that only pushes to the default branch will trigger
    # a pages deploy
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
